var $ = jQuery.noConflict();

$(document).ready(function() {

    $('.showModalParam').click(function(){

        $('#modalParametre #modifier_type').val($(this).data('type'));
        $('#modalParametre #modifier_valeur').val($(this).data('valeur'));
        /*$('#modalParametre #modifier_contenu').val($(this).data('contenu'));*/

        $.ajax({
            type: "POST",
            url: ajaxurl,
            data: { action: 'loadParameters', type: $(this).data('type'), valeur: $(this).data('valeur') }
        }).done(function( response ) {

            var content  = response.contenu;
            content = content.replace(new RegExp("\\\\", "g"), "");

            $('#modalParametre #modifier_contenu').val(content);
        });

    });

    $('#modalParametre').on('hidden.bs.modal', function (e) {
        $('#modalParametre #modifier_type').val();
        $('#modalParametre #modifier_valeur').val();
        $('#modalParametre #modifier_contenu').val();
    })
} );